Package org.apache.sling.maven.htl

## Class ValidateMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.htl.ValidateMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

    @Mojo(name="validate",
          defaultPhase=GENERATE_SOURCES,
          threadSafe=true)
    public class ValidateMojo
    extends org.apache.maven.plugin.AbstractMojo

Validates HTL scripts and optionally transpiles them to Java classes.

### Field Summary

Fields
`protected org.apache.maven.project.MavenProject` `project`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
`ValidateMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### project

    @Parameter(defaultValue="${project}",
               readonly=true,
               required=true)
    protected org.apache.maven.project.MavenProject project

### Constructor Detail

#### ValidateMojo

    public ValidateMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`